/**
* <h2> <span> Summary </span></h2>
* <p><b>Core Function</b>
* </p><p>Decodes a Uniform Resource Identifier (URI) previously created by <code><a href="encodeURI" shape="rect" title="Core JavaScript 1.5 Reference:Global Functions:encodeURI">encodeURI</a></code> or by a similar routine.
* </p>
* <h2> <span> Syntax </span></h2>
* <p><code>
* decodeURI(<i>encodedURI</i>)
* </code>
* </p>
* <h2> <span> Parameters </span></h2>
* <dl><dt style="font-weight:bold"> <code>encodedURI</code>Ê</dt><dd> A complete, encoded Uniform Resource Identifier.
* </dd></dl>
* <h2> <span> Description </span></h2>
* <p>Replaces each escape sequence in the encoded URI with the character that it represents.
* </p><p>Does not decode escape sequences that could not have been introduced by <code><a href="Core_JavaScript_1.5_Reference:Global_Functions:encodeURI" shape="rect" title="Core JavaScript 1.5 Reference:Global Functions:encodeURI">encodeURI</a></code>.
* </p>
* <h2> <span> See also </span></h2>
* <p><a href="Core_JavaScript_1.5_Reference:Global_Functions:decodeURIComponent" shape="rect" title="Core JavaScript 1.5 Reference:Global Functions:decodeURIComponent">decodeURIComponent</a>,
* <a href="encodeURI" shape="rect" title="Core JavaScript 1.5 Reference:Global Functions:encodeURI">encodeURI</a>,
* <a href="encodeURIComponent" shape="rect" title="Core JavaScript 1.5 Reference:Global Functions:encodeURIComponent">encodeURIComponent</a>
* </p>
* 
* <ul style="list-style-type:none;font-size:0.9em;text-align:center">
* <li id="f-copyright">Content is available under <a href="http://developer.mozilla.org/en/docs/MDC:Copyrights" shape="rect" title="MDC:Copyrights">these licenses</a>.</li>	  		<li id="f-about"><a href="http://developer.mozilla.org/en/docs/MDC:About" shape="rect" title="MDC:About">About MDC</a></li>	  				</ul>
*/
var DecodeURI = {
  // This is just a stub for a builtin native JavaScript object.
};
/**
* <h2> <span> Summary </span></h2>
* <p><b>Core Function</b>
* </p><p>Decodes a Uniform Resource Identifier (URI) previously created by <code><a href="encodeURI" shape="rect" title="Core JavaScript 1.5 Reference:Global Functions:encodeURI">encodeURI</a></code> or by a similar routine.
* </p>
* <h2> <span> Syntax </span></h2>
* <p><code>
* decodeURI(<i>encodedURI</i>)
* </code>
* </p>
* <h2> <span> Parameters </span></h2>
* <dl><dt style="font-weight:bold"> <code>encodedURI</code>Ê</dt><dd> A complete, encoded Uniform Resource Identifier.
* </dd></dl>
* <h2> <span> Description </span></h2>
* <p>Replaces each escape sequence in the encoded URI with the character that it represents.
* </p><p>Does not decode escape sequences that could not have been introduced by <code><a href="Core_JavaScript_1.5_Reference:Global_Functions:encodeURI" shape="rect" title="Core JavaScript 1.5 Reference:Global Functions:encodeURI">encodeURI</a></code>.
* </p>
* <h2> <span> See also </span></h2>
* <p><a href="Core_JavaScript_1.5_Reference:Global_Functions:decodeURIComponent" shape="rect" title="Core JavaScript 1.5 Reference:Global Functions:decodeURIComponent">decodeURIComponent</a>,
* <a href="encodeURI" shape="rect" title="Core JavaScript 1.5 Reference:Global Functions:encodeURI">encodeURI</a>,
* <a href="encodeURIComponent" shape="rect" title="Core JavaScript 1.5 Reference:Global Functions:encodeURIComponent">encodeURIComponent</a>
* </p>
* 
* <ul style="list-style-type:none;font-size:0.9em;text-align:center">
* <li id="f-copyright">Content is available under <a href="http://developer.mozilla.org/en/docs/MDC:Copyrights" shape="rect" title="MDC:Copyrights">these licenses</a>.</li>	  		<li id="f-about"><a href="http://developer.mozilla.org/en/docs/MDC:About" shape="rect" title="MDC:About">About MDC</a></li>	  				</ul>
*/
function decodeURI(encodedURI) {};

